gr::radar::static_target_simulator_cc_impl Class Reference

`#include <static_target_simulator_cc_impl.h>`

Inheritance diagram for gr::radar::static_target_simulator_cc_impl:

## Public Member Functions

| static_target_simulator_cc_impl (std::vector< float > range, std::vector< float > velocity, std::vector< float > rcs, std::vector< float > azimuth, std::vector< float > position_rx, int samp_rate, float center_freq, float self_coupling_db, bool rndm_phaseshift, bool self_coupling, const std::string &len_key)
| ~static_target_simulator_cc_impl ()
void | setup_targets (std::vector< float > range, std::vector< float > velocity, std::vector< float > rcs, std::vector< float > azimuth, std::vector< float > position_rx, int samp_rate, float center_freq, float self_coupling_db, bool rndm_phaseshift, bool self_coupling)
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

std::vector< float > | d_range
std::vector< float > | d_velocity
std::vector< float > | d_rcs
std::vector< float > | d_azimuth
std::vector< float > | d_position_rx
int | d_samp_rate
float | d_center_freq
int | d_hold_noutput
bool | d_rndm_phaseshift
bool | d_self_coupling
float | d_self_coupling_db
int | d_num_targets
std::vector< float > | d_freq
std::vector< float > | d_doppler
std::vector< float > | d_scale_ampl
std::vector< float > | d_timeshift
std::vector< std::vector< float > > | d_timeshift_azimuth
gr_complex | d_phase_doppler
gr_complex | d_phase_time
gr_complex | d_phase_random
std::vector< gr_complex > | d_hold_in
fftwf_plan | d_fft_plan
fftwf_plan | d_ifft_plan
std::vector< gr_complex > | d_in_fft
std::vector< std::vector< gr_complex > > | d_filt_doppler
std::vector< std::vector< gr_complex > > | d_filt_phase
std::vector< std::vector< gr_complex > > | d_filt_self_coupling
std::vector< std::vector< gr_complex > > | d_filt_time
std::vector< std::vector< std::vector< gr_complex > > > | d_filt_time_azimuth
pmt::pmt_t | d_key
pmt::pmt_t | d_val
pmt::pmt_t | d_srcid
uint64_t | d_time_sec
double | d_time_frac_sec

## Static Public Attributes

static constexpr float | c_light = 3e8

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::static_target_simulator_cc
typedef std::shared_ptr< static_target_simulator_cc > | sptr
Static Public Member Functions inherited from gr::radar::static_target_simulator_cc
static sptr | make (std::vector< float > range, std::vector< float > velocity, std::vector< float > rcs, std::vector< float > azimuth, std::vector< float > position_rx, int samp_rate, float center_freq, float self_coupling_db, bool rndm_phaseshift=true, bool self_coupling=true, const std::string &len_key="packet_len")

## Constructor & Destructor Documentation

## static_target_simulator_cc_impl()

gr::radar::static_target_simulator_cc_impl::static_target_simulator_cc_impl | ( | std::vector< float > | range,
|  | std::vector< float > | velocity,
|  | std::vector< float > | rcs,
|  | std::vector< float > | azimuth,
|  | std::vector< float > | position_rx,
|  | int | samp_rate,
|  | float | center_freq,
|  | float | self_coupling_db,
|  | bool | rndm_phaseshift,
|  | bool | self_coupling,
|  | const std::string & | len_key )

## ~static_target_simulator_cc_impl()

gr::radar::static_target_simulator_cc_impl::~static_target_simulator_cc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::static_target_simulator_cc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## setup_targets()

void gr::radar::static_target_simulator_cc_impl::setup_targets | ( | std::vector< float > | range,
|  | std::vector< float > | velocity,
|  | std::vector< float > | rcs,
|  | std::vector< float > | azimuth,
|  | std::vector< float > | position_rx,
|  | int | samp_rate,
|  | float | center_freq,
|  | float | self_coupling_db,
|  | bool | rndm_phaseshift,
|  | bool | self_coupling )

virtual

Implements gr::radar::static_target_simulator_cc.

## work()

int gr::radar::static_target_simulator_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## c_light

float gr::radar::static_target_simulator_cc_impl::c_light = 3e8

static constexpr

## d_azimuth

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_azimuth

## d_center_freq

float gr::radar::static_target_simulator_cc_impl::d_center_freq

## d_doppler

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_doppler

## d_fft_plan

fftwf_plan gr::radar::static_target_simulator_cc_impl::d_fft_plan

## d_filt_doppler

std::vector<std::vector<gr_complex> > gr::radar::static_target_simulator_cc_impl::d_filt_doppler

## d_filt_phase

std::vector<std::vector<gr_complex> > gr::radar::static_target_simulator_cc_impl::d_filt_phase

## d_filt_self_coupling

std::vector<std::vector<gr_complex> > gr::radar::static_target_simulator_cc_impl::d_filt_self_coupling

## d_filt_time

std::vector<std::vector<gr_complex> > gr::radar::static_target_simulator_cc_impl::d_filt_time

## d_filt_time_azimuth

std::vector<std::vector<std::vector<gr_complex> > > gr::radar::static_target_simulator_cc_impl::d_filt_time_azimuth

## d_freq

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_freq

## d_hold_in

std::vector<gr_complex> gr::radar::static_target_simulator_cc_impl::d_hold_in

## d_hold_noutput

int gr::radar::static_target_simulator_cc_impl::d_hold_noutput

## d_ifft_plan

fftwf_plan gr::radar::static_target_simulator_cc_impl::d_ifft_plan

## d_in_fft

std::vector<gr_complex> gr::radar::static_target_simulator_cc_impl::d_in_fft

## d_key

pmt::pmt_t gr::radar::static_target_simulator_cc_impl::d_key

## d_num_targets

int gr::radar::static_target_simulator_cc_impl::d_num_targets

## d_phase_doppler

gr_complex gr::radar::static_target_simulator_cc_impl::d_phase_doppler

## d_phase_random

gr_complex gr::radar::static_target_simulator_cc_impl::d_phase_random

## d_phase_time

gr_complex gr::radar::static_target_simulator_cc_impl::d_phase_time

## d_position_rx

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_position_rx

## d_range

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_range

## d_rcs

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_rcs

## d_rndm_phaseshift

bool gr::radar::static_target_simulator_cc_impl::d_rndm_phaseshift

## d_samp_rate

int gr::radar::static_target_simulator_cc_impl::d_samp_rate

## d_scale_ampl

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_scale_ampl

## d_self_coupling

bool gr::radar::static_target_simulator_cc_impl::d_self_coupling

## d_self_coupling_db

float gr::radar::static_target_simulator_cc_impl::d_self_coupling_db

## d_srcid

pmt::pmt_t gr::radar::static_target_simulator_cc_impl::d_srcid

## d_time_frac_sec

double gr::radar::static_target_simulator_cc_impl::d_time_frac_sec

## d_time_sec

uint64_t gr::radar::static_target_simulator_cc_impl::d_time_sec

## d_timeshift

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_timeshift

## d_timeshift_azimuth

std::vector<std::vector<float> > gr::radar::static_target_simulator_cc_impl::d_timeshift_azimuth

## d_val

pmt::pmt_t gr::radar::static_target_simulator_cc_impl::d_val

## d_velocity

std::vector<float> gr::radar::static_target_simulator_cc_impl::d_velocity

The documentation for this class was generated from the following file:

- static_target_simulator_cc_impl.h